Package org.codehaus.janino.util

# Class ClassFile.StackMapTableAttribute.AppendFrame

java.lang.Object
org.codehaus.janino.util.ClassFile.StackMapTableAttribute.StackMapFrame
org.codehaus.janino.util.ClassFile.StackMapTableAttribute.AppendFrame

Enclosing class:
  `ClassFile.StackMapTableAttribute`

public static class ClassFile.StackMapTableAttribute.AppendFrame extends ClassFile.StackMapTableAttribute.StackMapFrame
Representation of the `append_frame` structure; see JVMS8 4.7.4.

## Constructor Summary

Constructors
Constructor
Description
`AppendFrame(int offsetDelta, ClassFile.StackMapTableAttribute.VerificationTypeInfo[] locals)`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T> smfv)`
Invokes the "right" `visit...()` method of the `ClassFile.StackMapTableAttribute.StackMapFrameVisitor`.
`void`
`store(DataOutputStream dos)`
Serializes this record and writes it to the given `DataOutputStream`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AppendFrame

public AppendFrame(int offsetDelta, ClassFile.StackMapTableAttribute.VerificationTypeInfo[] locals)

## Method Details

### store

public void store(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.StackMapTableAttribute.StackMapFrame`
Serializes this record and writes it to the given `DataOutputStream`.

Specified by:
  `store` in class `ClassFile.StackMapTableAttribute.StackMapFrame`
Throws:
  `IOException`

### accept

public <T> T accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T> smfv)
Description copied from class: `ClassFile.StackMapTableAttribute.StackMapFrame`
Invokes the "right" `visit...()` method of the `ClassFile.StackMapTableAttribute.StackMapFrameVisitor`.

Specified by:
  `accept` in class `ClassFile.StackMapTableAttribute.StackMapFrame`

### toString

public String toString()

Overrides:
  `toString` in class `Object`